## gnome-session 3.28.1

=== debian/changelog ===
gnome-session (3.28.1-0ubuntu2) bionic; urgency=medium

  * debian/xdg_dirs_desktop_session.sh, debian/55gnome-session_gnomerc:
    - protect against multiple additions of the same paths to
      XDG_CONFIG_DIRS and XDG_DATA_DIRS, resulting to duplication on
      consecutive logout/logins due to older session hanging in and env
      being reused.
      Some consequences is that electron application crashes (LP: #1764355)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 19 Apr 2018 16:43:50 +0200

gnome-session (3.28.1-0ubuntu1) bionic; urgency=medium

  * New upstream release
    - Don't create ~/.config as world-readable. (LP: #1735929)
  * Drop xsmp-don-t-check-for-HAVE_XTRANS.patch: Applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 10 Apr 2018 10:09:40 -0400

gnome-session (3.28.0-0ubuntu4) bionic; urgency=medium

  * Split gnome-startup-applications to a separate binary package so
    that it can be uninstalled without breaking the system (LP: #1756788)
  * Have gnome-session-bin recommend gnome-startup-applications
    to try to make this change less disruptive at this late point in the
    Ubuntu release cycle

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Apr 2018 11:42:46 -0400

gnome-session (3.28.0-0ubuntu3) bionic; urgency=medium

  * Cherry-pick Debian change

  [Simon McVittie]
  * d/p/xsmp-don-t-check-for-HAVE_XTRANS.patch:
    Add patch from upstream making xtrans support work again, so that
    gnome-session doesn't fall back to TCP sockets for session management
    (Closes: #894351)

 -- Tim Lunn <tim@feathertop.org>  Sun, 01 Apr 2018 11:53:22 +1000

gnome-session (3.28.0-0ubuntu2) bionic; urgency=medium

  * Add new communitheme session to the ubuntu session package. This
    session only appears if the communitheme snap is installed. (LP: #1760049)
    - debian/patches/50_ubuntu_sessions.patch, debian/ubuntu-session.install:
      generate and install session file.
    - add Recommends on gtk adwaita and pixbuf theme engine.
    - debian/rules: enable communitheme to override the default ubuntu-dock
      stylesheet from the snap.
    - debian/rules: workaround for Xorg to pick up communitheme cursor theme
      from the snap.
  * Refresh debian/patches/revert_remove_gnome_session_properties.patch

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 30 Mar 2018 11:03:17 +0200

gnome-session (3.28.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Tim Lunn <tim@feathertop.org>  Sun, 18 Mar 2018 19:00:24 +1100

gnome-session (3.27.91-0ubuntu4) bionic; urgency=medium

  * debian/rules: Simplify code for adding X-Ubuntu-Gettext-Domain
    (LP: #1754904, LP: #1754491).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 12 Mar 2018 15:51:00 +0100

gnome-session (3.27.91-0ubuntu3) bionic; urgency=medium

  * debian/rules:
    - Add X-Ubuntu-Gettext-Domain to .desktop files (LP: #1754904).
    - Build gnome-session-3.0.pot.
  * debian/patches/revert_remove_gnome_session_properties.patch:
    - Don't merge translations into gnome-session-properties.desktop.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 12 Mar 2018 03:25:00 +0100

gnome-session (3.27.91-0ubuntu2) bionic; urgency=medium

  * Fix dh_install rule after switching to dh_missing (LP: #1753403)
  * Fix accidental +x permission for debian/gnome-session-bin.install

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 05 Mar 2018 08:06:39 -0500

gnome-session (3.27.91-0ubuntu1) bionic; urgency=medium

  [ Tim Lunn ]
  * New upstream release (LP: #1752928)
  * debian/patches:
    - revert_remove_gnome_session_properties.patch merge with
      revert_remove_gnome_session_properties2.patch and port to meson
    - 13_display_session_properties.patch: Merged into the above revert
    - 51_remove_session_saving_from_gui.patch: Merged UI part into revert
    - export_env_to_upstart.patch: Dropped, upstart is no longer in
      the archives
  * debian/gnome-wayland.desktop: Drop, this was leftover from when
    we overrode wayland being defaulta
  * debian/control.in: Recommend gnome-theme-extra instead of
    gnome-themes-standard
  * debian/gnome-session-bin.user-session.upstart: Dropped, upstart is no
    longer in the archives
  * debian/rules: use dh-missing for future dh 12 compat
  * Fix Lintian errors:
    - Move gnome-session-wayland to oldlibs/optional
    - gnome-session-bin.install: dh_exec features are not used
    - debian/control.in: fix not-binnmuable-any-depends-all errors

  [ Jeremy Bica ]
  * Build with meson
  * Refresh patches

 -- Tim Lunn <tim@feathertop.org>  Mon, 05 Mar 2018 17:55:42 +1100

gnome-session (3.26.1-0ubuntu10) bionic; urgency=medium

  * No-change rebuild against latest gnome-desktop3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Feb 2018 21:06:22 -0500

gnome-session (3.26.1-0ubuntu9) bionic; urgency=medium

  * debian/ubuntu-session.links, debian/patches/50_ubuntu_sessions.patch,
    debian/ubuntu-session.install:
    - Change ubuntu session to be running on Xorg by default. Added
      an optional ubuntu-wayland one.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 06 Feb 2018 10:57:16 +0100

gnome-session (3.26.1-0ubuntu8) bionic; urgency=medium

  * Have unity-session recommend gtk3-nocsd. (LP: #1738338)

 -- Khurshid Alam <khurshid.alam@linuxmail.org>  Fri, 15 Dec 2017 11:46:26 +0530

gnome-session (3.26.1-0ubuntu7) bionic; urgency=medium

  * Allow building on s390x

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 02 Nov 2017 19:36:36 -0400

gnome-session (3.26.1-0ubuntu6) artful; urgency=medium

  * Add symlinks in /usr/share/xsessions/:
    - gnome.desktop -> gnome-xorg.desktop
    - ubuntu.desktop -> ubuntu-xorg.desktop
    In combination with a gdm3 patch, this ensures a proper fallback session
    is selected by gdm when wayland is not enabled (LP: #1718446).

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 13 Oct 2017 13:33:27 +0200
