## gnome-session 3.28.2-3pearl7-2

=== debian/changelog ===
gnome-session (3.28.2-3pearl7-2) rolltide; urgency=medium

  * reversioning

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 30 Aug 2019 02:25:02 -0500

gnome-session (3.28.2-3pearl7.2) rolltide; urgency=medium

  * removed xwayland deps

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 30 Aug 2019 02:17:11 -0500

gnome-session (3.28.2-3pearl7) rolltide; urgency=medium

  * Initial build for Pearl

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 05 Jul 2019 09:40:42 +0200
