=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Source: gnome-session
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Scott Vandergrift <scottvandergrift@gmail.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Standards-Version: 4.0.0
@@ -41,7 +41,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          gnome-settings-daemon (>= 3.23.3),
-         gnome-shell (>= 3.25.91-0ubuntu4~),
+         gnome-shell (>= 3.25.91-0ubuntu~),
          gnome-session-bin (>= ${binary:Version}),
          gnome-session-bin (<< ${gnome:NextVersion}),
          gnome-session-common (= ${source:Version}),
@@ -70,7 +70,7 @@
 Priority: optional
 Section: oldlibs
 Depends: ${misc:Depends},
-         gnome-session (>= 3.22.1)
+         gnome-session (>= 3.22.1),
 Description: GNOME Session Manager - GNOME 3 session (transitional package)
  This is a transitional package. It can safely be removed.
 
@@ -89,7 +89,7 @@
  This app complies with the FreeDesktop.org Desktop Application Autostart
  Specification so it will work even if your chosen desktop is not GNOME.
 
-Package: ubuntu-session
+Package: pearl-session
 Architecture: any
 Depends: ${misc:Depends},
          gnome-settings-daemon (>= 3.23.3),
@@ -97,7 +97,6 @@
          gnome-session-bin (>= ${binary:Version}),
          gnome-session-bin (<< ${gnome:NextVersion}),
          gnome-session-common (= ${source:Version}),
-         xwayland [linux-any]
 Recommends: session-migration,
             python3,
             gnome-themes-extra,
@@ -107,9 +106,9 @@
         unity-settings-daemon (<< 15.04.1+17.04.20170619),
         hud (<< 14.10+17.10.20170619),
         unity-gtk-module (<< 0.0.0+17.04.20170918),
-Description: Ubuntu session with GNOME Shell
+Description: Pearl session with GNOME Shell
  This package contains the required components for running a GNOME 3 session
- with default Ubuntu configuration, based on the GNOME Shell.
+ with default Pearl configuration, based on the GNOME Shell.
 
 Package: unity-session
 Architecture: all
@@ -132,8 +131,8 @@
         unity-settings-daemon (<< 15.04.1+17.04.20170619),
         hud (<< 14.10+17.10.20170619),
         unity-gtk-module (<< 0.0.0+17.04.20170918),
-Replaces: ubuntu-session (<< 3.24.1-0ubuntu2),
-Description: Unity session, previous ubuntu default experience.
+Replaces: pearl-session (<< 3.24.1-0ubuntu2),
+Description: Unity session, previous pearl default experience.
  This package contains the required components for the Unity session.
  It can be started from a display manager such as LightDM.
