=== debian/rules ===
--- 
+++ 
@@ -23,17 +23,17 @@
 override_dh_install:
 	cd debian/tmp/usr/share; \
 	for f in wayland-sessions/*.desktop xsessions/*.desktop applications/*.desktop; do \
-		echo X-Ubuntu-Gettext-Domain=gnome-session-3.0 >> "$$f"; \
+		echo X-Pearl-Gettext-Domain=gnome-session-3.0 >> "$$f"; \
 	done
 	dh_install
 	dh_migrations
 	# workaround to allow extension theming override by communitheme
-	mkdir -p debian/ubuntu-session/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/
-	touch debian/ubuntu-session/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/ubuntu-communitheme.css
+	mkdir -p debian/pearl-session/usr/share/gnome-shell/extensions/pearl-dock@pearl.com/
+	touch debian/pearl-session/usr/share/gnome-shell/extensions/pearl-dock@pearl.com/pearl-communitheme.css
 	# workaround for XDG_DATA_DIRS being for gnome-shell, not Xorg itself, so cursor theme
 	# will never be able to be taken by it.
-	mkdir -p debian/ubuntu-session/usr/share/icons
-	ln -s /snap/communitheme/current/share/icons/communitheme debian/ubuntu-session/usr/share/icons/communitheme
+	mkdir -p debian/pearl-session/usr/share/icons
+	ln -s /snap/communitheme/current/share/icons/communitheme debian/pearl-session/usr/share/icons/communitheme
 
 override_dh_missing:
 	dh_missing --list-missing
