## gnome-session 3.30.0

=== debian/changelog ===
gnome-session (3.30.0-0ubuntu4) cosmic; urgency=medium

  * Make {ubuntu,gnome}-session Arch: all and remove qualification on xwayland
    dep. In Ubuntu we only have architectures which match [linux-any] anyway.
    Making these -session packages Arch: all means that it's not a problem
    that gjs isn't built on s390x at the minute.

 -- Iain Lane <laney@debian.org>  Fri, 05 Oct 2018 13:40:07 +0100

gnome-session (3.30.0-0ubuntu3) cosmic; urgency=medium

  * Introduce a communitheme-snap-session for people who want to test
    the communitheme snap in cosmic and over. Moving them out of the
    ubuntu-session package.
    This split enables us to transition communitheme snap users to default
    ubuntu session after upgrading from bionic to cosmic or next LTS.
    (LP: #1794024)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 24 Sep 2018 09:30:46 +0200

gnome-session (3.30.0-0ubuntu2) cosmic; urgency=medium

  * debian/ubuntu-settings-migrate-to-defaults.18.10.0.py:
    - use getenv instead of environ[], as the session env key is
      missing for instance under gdm. (LP: #1790532)
    - add missing sys import (LP: #1791100)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 07 Sep 2018 08:58:23 +0200

gnome-session (3.30.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release:
    - Fix NEWS file
    - Translation updates
    - Add new RebootToFirmwareSetup API
    - Crash fix when running with nested wayland compositors
    - use full path to binaries in desktop files
  * debian/patches/ubuntu/ubuntu-sessions.patch:
    - refresh to latest upstream (now that @bindir@ is required)
    - change .in ubuntu desktop files to .in.in, including translations
      and skipping generated files, so that we include @bindir@ for our
      sessino files as well.
    - adapt the build system to those, minimializing the diff with upstream
  * d/p/revert_remove_gnome_session_properties.patch,
    d/p/ubuntu/dbus_request_shutdown.patch,
    d/p/ubuntu/post_install-install-gnome.desktop-session-in-wayland-ses.patch,
    d/p/ubuntu/support_autostart_delay.patch:
    - adapt to above changes and refresh

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 05 Sep 2018 11:08:25 +0200

gnome-session (3.29.90-1ubuntu3) cosmic; urgency=medium

  * debian/ubuntu-settings-migrate-to-defaults.18.10.0.py:
    - Migrate users using old default ubuntu-settings to current ones

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 Aug 2018 21:50:02 +0200

gnome-session (3.29.90-1ubuntu2) cosmic; urgency=medium

  * debian/gnome-session.install:
    - Revert change that was wrongly merged from debian, causing
      gnome-session and ubuntu-session to have the same files (LP: #1787748)
  * debian/control:
    - Set Breaks/Replaces on gnome-shell <=> ubuntu-settings for versions
      <= 3.29.90-1ubuntu1 (LP: #1787748)
    - Build-depends on meson (>= 0.47.0) as per dict usage
  * debian/gnome-session.install:
    - install all gnome-provided *.session files
  * d/p/ubuntu/post_install-install-gnome.desktop-session-in-wayland-ses.patch:
    - Do not install gnome.session in xsessions (as defaults to wayland) 
  * d/p/ubuntu/ubuntu-sessions.patch:
    - Install session X and wayland .desktop files only in the relative-type
      directories, and cleanup the meson code using a dict.
  * debian/rules:
    - Use dh_missing --fail-missing
  * d/p/53_add_sessionmigration.patch:
    - Use Gbp-Pq topic, moved to d/p/ubuntu/add_sessionmigration.patch
  * d/p/95_dbus_request_shutdown.patch:
    - Use Gbp-Pq topic, moved to d/p/ubuntu/dbus_request_shutdown.patch
  * d/p/ignore_gsettings_region.patch:
    - Use Gbp-Pq topic, moved to d/p/ubuntu/ignore_gsettings_region.patch
  * d/p/103_kill_the_fail_whale.patch:
    - Use Gbp-Pq topic, moved to d/p/ubuntu/kill_the_fail_whale.patch
  * d/p/51_remove_session_saving_from_gui.patch:
    - Use Gbp-Pq topic, moved to d/p/ubuntu/remove_session_saving_from_gui.patch
  * d/p/22_support_autostart_delay.patch:
    - Use Gbp-Pq topic, moved to d/p/ubuntu/support_autostart_delay.patch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 21 Aug 2018 11:07:21 -0500

gnome-session (3.29.90-1ubuntu1) cosmic; urgency=medium

  * Merge with debian, remaining changes:
    - debian/control.in:
      + Recommend session-migration
      + Move xwayland dependency to gnome-session and make gnome-session
        Arch: any
      + Split gnome-startup-applications to a separate binary package so
        that it can be uninstalled without breaking the system
      + Add unity-session
    - Split ubuntu-session out of gnome-session.
    - Add upstart user session and systemd user session:
      debian/data, debian/gnome-session-bin.user-session.upstart
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - Add gnome-session-wayland transitional package
    - don't install gnome-mimeapps.list (installed by desktop-file-utils in
      Ubuntu):
      debian/gnome-session-common.dirs, gnome-session-common.install,
      gnome-session-common.maintscript, gnome-session-common.postinst
    - debian/patches/103_kill_the_fail_whale.patch:
      + Kill the Fail Whale as it tends to be more annoying than helpful
    - debian/patches/22_support_autostart_delay.patch:
      + Bugzilla patch to support adding a delay to autostart apps, using
        a "X-GNOME-Autostart-Delay" key in the desktop file
    - debian/patches/50_ubuntu_sessions.patch:
      + Add ubuntu session tweaks
    - debian/patches/51_remove_session_saving_from_gui.patch:
      + Add GNOME_SESSION_SAVE environment variable for people wanting to
        use the save session still, knowing that it can break your system
        if used unwisely
    - debian/patches/53_add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.

