=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Source: gnome-session
 Section: gnome
 Priority: optional
-Maintainer: Scott Vandergrift <scottvandergrift@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
-Standards-Version: 4.0.0
-Build-Depends: debhelper (>= 10),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper (>= 11.1.3),
                dh-migrations,
                gnome-pkg-tools (>= 0.13),
                gnome-common,
@@ -30,31 +29,37 @@
                libgles2-mesa-dev,
                libxtst-dev,
                libxrender-dev,
-               meson (>= 0.43.0),
+               meson (>= 0.47.0),
                xmlto,
                xsltproc,
                xtrans-dev,
                libsystemd-dev (>= 209) [linux-any]
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/gnome-session/ubuntu
+Standards-Version: 4.1.2
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-session
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-session
 
 Package: gnome-session
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends},
-         gnome-settings-daemon (>= 3.23.3),
-         gnome-shell (>= 3.25.91-0ubuntu~),
+         gnome-settings-daemon (>= 3.24),
+         gnome-shell (>= 3.25.91-0ubuntu4~),
          gnome-session-bin (>= ${binary:Version}),
          gnome-session-bin (<< ${gnome:NextVersion}),
-         gnome-session-common (= ${source:Version}),
-         xwayland [linux-any]
+         gnome-session-common (= ${binary:Version}),
+         xwayland
 Recommends: fonts-cantarell,
-            adwaita-icon-theme-full,   
+            adwaita-icon-theme-full,
             gnome-themes-extra
 Suggests: gnome-user-docs,
 #          desktop-base,
           gnome-keyring
 Provides: x-session-manager
-Breaks: gnome-session-wayland (<< 3.22.1)
-Replaces: gnome-session-wayland (<< 3.22.1)
+Breaks: gnome-session-wayland (<< 3.22.1),
+        ubuntu-session (<= 3.29.90-1ubuntu1),
+Replaces: gnome-session-wayland (<< 3.22.1),
+          ubuntu-session (<= 3.29.90-1ubuntu1),
 Description: GNOME Session Manager - GNOME 3 session
  The GNOME Session Manager is in charge of starting the core components
  of the GNOME desktop, and applications that should be launched at
@@ -70,7 +75,7 @@
 Priority: optional
 Section: oldlibs
 Depends: ${misc:Depends},
-         gnome-session (>= 3.22.1),
+         gnome-session (>= 3.22.1)
 Description: GNOME Session Manager - GNOME 3 session (transitional package)
  This is a transitional package. It can safely be removed.
 
@@ -89,26 +94,38 @@
  This app complies with the FreeDesktop.org Desktop Application Autostart
  Specification so it will work even if your chosen desktop is not GNOME.
 
-Package: pearl-session
-Architecture: any
+Package: ubuntu-session
+Architecture: all
 Depends: ${misc:Depends},
-         gnome-settings-daemon (>= 3.23.3),
+         gnome-settings-daemon (>= 3.24),
          gnome-shell (>= 3.24.3-0ubuntu2),
          gnome-session-bin (>= ${binary:Version}),
          gnome-session-bin (<< ${gnome:NextVersion}),
-         gnome-session-common (= ${source:Version}),
+         gnome-session-common (= ${binary:Version}),
+         xwayland,
+         yaru-theme-gnome-shell,
 Recommends: session-migration,
             python3,
-            gnome-themes-extra,
-            gtk2-engines-pixbuf,
 Provides: x-session-manager,
-Breaks: unity (<< 7.5.0+17.10.20170619),
+Breaks: gnome-session (<= 3.29.90-1ubuntu1),
+        unity (<< 7.5.0+17.10.20170619),
         unity-settings-daemon (<< 15.04.1+17.04.20170619),
         hud (<< 14.10+17.10.20170619),
         unity-gtk-module (<< 0.0.0+17.04.20170918),
-Description: Pearl session with GNOME Shell
+Replaces: gnome-session (<= 3.29.90-1ubuntu1),
+Description: Ubuntu session with GNOME Shell
  This package contains the required components for running a GNOME 3 session
- with default Pearl configuration, based on the GNOME Shell.
+ with default Ubuntu configuration, based on the GNOME Shell.
+
+Package: communitheme-snap-session
+Architecture: all
+Depends: ${misc:Depends},
+         ubuntu-session (>= ${binary:Version}),
+Replaces: ubuntu-session (<= 3.30.0-0ubuntu2),
+Description: Ubuntu communitheme snap session with GNOME Shell
+ This package contains the required components for running a GNOME 3 session
+ with default Ubuntu configuration, based on the GNOME Shell, using
+ the communitheme snap.
 
 Package: unity-session
 Architecture: all
@@ -131,8 +148,8 @@
         unity-settings-daemon (<< 15.04.1+17.04.20170619),
         hud (<< 14.10+17.10.20170619),
         unity-gtk-module (<< 0.0.0+17.04.20170918),
-Replaces: pearl-session (<< 3.24.1-0ubuntu2),
-Description: Unity session, previous pearl default experience.
+Replaces: ubuntu-session (<< 3.24.1-0ubuntu2),
+Description: Unity session, previous ubuntu default experience.
  This package contains the required components for the Unity session.
  It can be started from a display manager such as LightDM.
