## gnome-session 3.30.1

=== debian/changelog ===
gnome-session (3.30.1-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules: Don't enable journald support on non-linux architectures

  [ Jeremy Bicha ]
  * Restore -Wl,-O1 to our LDFLAGS
  * Drop obsolete Build-Depends on intltool and gnome-common (Closes: #830006)
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 09:52:38 -0500

gnome-session (3.30.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.2.1
  * d/rules: Remove gnome-get-source.mk (please use uscan instead)
  * Set Rules-Requires-Root to no

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Nov 2018 09:44:06 +0000

gnome-session (3.30.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable
    - d/gbp.conf, d/control: Set branch back to debian/master
    - d/watch: Only watch for upstream stable (even-numbered) releases

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Sep 2018 12:38:06 +0100

gnome-session (3.30.0-1) experimental; urgency=medium

  * Team upload

  [ Iain Lane ]
  * debian/gbp.conf: Don't use patch numbers
  * d/p/debian/Revert-main-Remove-GNOME_DESKTOP_SESSION_ID-envvar.patch: Mark
    as not-needed upstream

  [ Raphaël Hertzog ]
  * Update gnome-mimeapps.list for evince's renamed desktop file
    (Closes: #908177)

  [ Simon McVittie ]
  * d/gbp.conf: Add standard post-import hook
  * New upstream release
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Sep 2018 14:04:21 +0100
