=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

ifeq (linux,$(DEB_HOST_ARCH_OS))
CONFFLAGS = -Dsystemd=true -Dsystemd_journal=true
else
CONFFLAGS = -Dsystemd=false -Dsystemd_journal=false
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--localstatedir=/var/lib \
		--libexecdir=/usr/lib/gnome-session \
		-Dman=true \
		$(CONFFLAGS)

override_dh_missing:
	dh_missing --fail-missing
